Package org.apache.storm.serialization.types

## Class HashMapSerializer

- java.lang.Object
- - com.esotericsoftware.kryo.Serializer<T>
  - - com.esotericsoftware.kryo.serializers.MapSerializer<HashMap>
    - - org.apache.storm.serialization.types.HashMapSerializer

-     public class HashMapSerializer
      extends com.esotericsoftware.kryo.serializers.MapSerializer<HashMap>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.esotericsoftware.kryo.serializers.MapSerializer

      `com.esotericsoftware.kryo.serializers.MapSerializer.BindMap`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HashMapSerializer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected HashMap<String,​Object>` | `create​(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Input input, Class<? extends HashMap> type, int length)` |

    - ### Methods inherited from class com.esotericsoftware.kryo.serializers.MapSerializer

      `copy, createCopy, getKeyClass, getKeySerializer, getValueClass, getValueSerializer, read, setKeyClass, setKeyClass, setKeysCanBeNull, setKeySerializer, setValueClass, setValueClass, setValuesCanBeNull, setValueSerializer, write, writeHeader`

    - ### Methods inherited from class com.esotericsoftware.kryo.Serializer

      `getAcceptsNull, isImmutable, setAcceptsNull, setImmutable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HashMapSerializer

          public HashMapSerializer()

  - ### Method Detail

    - #### create

          protected HashMap<String,​Object> create​(com.esotericsoftware.kryo.Kryo kryo,
                                                        com.esotericsoftware.kryo.io.Input input,
                                                        Class<? extends HashMap> type,
                                                        int length)

      Overrides:
        `create` in class `com.esotericsoftware.kryo.serializers.MapSerializer<HashMap>`